This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 194379 - Default application for audio CDs lacks CDDB
Default application for audio CDs lacks CDDB
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-volume-manager (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-07 13:38 EDT by Nicola Soranzo
Modified: 2013-03-05 22:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-08 10:49:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicola Soranzo 2006-06-07 13:38:39 EDT
Description of problem:
Actually the default application to open when an audio CD is inserted is totem
("totem %d", see /etc/gconf/schemas/gnome-volume-manager.schemas ), but totem
lacks the CDDB functionality. Also in comments to bug #188421 John Thacker says
that Totem is going to remove audio CD support, I don't know if that's true. The
alternative applications are:
1) gnome-cd ("gnome-cd --unique --play %d"), but the --play option doesn't seem
to work (neither the internal preference). In FC4 it was the default and worked
(just tested on an old machine)
2) rhythmbox, but it doesn't have a command line option to start playing a CD
3) sound-juicer ("sound-juicer -pd %d"), it works, but plays only the first
track, then stops (it's not a CD player!).
So I suggest to change the default to gnome-cd and investigate why it doesn't
start playing.

Version-Release number of selected component (if applicable):


How reproducible: 
Everytime

Steps to Reproduce:
1. In GNOME menu, go to Desktop -> Preferences -> Removable Drives and Media.
Under Multimedia -> Audio CD discs you can find "totem %d" (alternatively see
/etc/gconf/schemas/gnome-volume-manager.schemas ).
2. Insert an audio CD.
  
Actual results:
totem will start automatically, but track info won't be displayed.

Expected results:
A program with CDDB functionality should start.
Comment 1 Nicola Soranzo 2007-06-08 10:49:50 EDT
This is fixed in F7 and probably also FC6, furthermore FC5 is going EOL, so I
close it as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.